package com.avg.zaap.crashlibrary.provider.stacktrace;

/**
 * This exception is thrown whenever an {@link IStackTraceWriter} fails to write stack trace.
 * <p>
 * Created by marek.osvald on 2.5.2016.
 */
@SuppressWarnings("unused")
public class StackTraceWriterException extends Exception {

    /**
     * Default constructor. Calls {@link RuntimeException} constructor.
     */
    public StackTraceWriterException() {
        super();
    }

    /**
     * Parametric constructor. Initializes the exception with a detailed message.
     *
     * @param detailMessage detailed message to initialize the exception with
     */
    public StackTraceWriterException(String detailMessage) {
        super(detailMessage);
    }

    /**
     * Parametric constructor. Initializes the exception with a detailed message and a throwable
     * instance.
     *
     * @param detailMessage detailed message to initialize the exception with
     * @param throwable     throwable instance to initialize the exception with
     */
    public StackTraceWriterException(String detailMessage, Throwable throwable) {
        super(detailMessage, throwable);
    }

    /**
     * Parametric constructor. Initializes the exception with a throwable instance.
     *
     * @param throwable throwable instance to initialize the exception with
     */
    public StackTraceWriterException(Throwable throwable) {
        super(throwable);
    }

}
